import i18n from '@/locales/index'
import globalConfig from '@/config/global.config.js'

const t = i18n.global.t;
const imgUrlPrefix = globalConfig.appImagePrefix()

export const Menu = [
	{
		name: t('account.config.deposit'),
		router: "/pages/wallet/Deposit",
		icon: imgUrlPrefix + '/icon-deposit.png'
	},
	{
		name: t('account.config.withdraw'),
		router: "/pages/wallet/Withdraw",
		icon: imgUrlPrefix + '/icon-withdraw.png'
	},
	{
		name: t('account.config.balanceRecords'),
		router: "/pages/account/BalanceRecords/BalanceRecords",
		icon: imgUrlPrefix + '/icon-balance-records.png'
	},
	{
		name: t('account.config.gameRecords'),
		router: "/pages/account/GameRecords/GameRecords",
		icon: imgUrlPrefix + '/icon-game-records.png'
	},
]


export const AccountHelp = [
	{
		name: t('account.config.phoneBinding'),
		type: 2,
		router: "",
		icon: imgUrlPrefix + '/PhoneBinding.png',
		typeName: 'phoneBinding'
	},
	{
		name: t('account.config.bankCard'),
		type: 1,
		router: "/pages/account/BankCard/BankCardList",
		icon: imgUrlPrefix + '/BankCard.png',
	},
	{
		name: t('account.config.gameRecords'),
		type: 1,
		router: "/pages/account/GameRecords/GameRecords",
		icon: imgUrlPrefix + '/icon-game-records.png'
	},
	{
		name: t('account.config.balanceRecords'),
		type: 1,
		router: "/pages/account/BalanceRecords/BalanceRecords",
		icon: imgUrlPrefix + '/icon-balance-records.png'
	},
	// {
	// 	name: t('account.config.gift'),
	// 	type: 1,
	// 	router: "/pages/account/Profile/Profile",
	// 	icon: imgUrlPrefix + '/icon-gifts.png',
	// }, 
	{
		name: t('account.config.withdrawPassword'),
		type: 1,
		router: "/pages/account/WithdrawalPassword/WithdrawalPassword",
		icon: imgUrlPrefix + '/Withdrawpassword.png',
	},
	{
		name: t('account.config.service'),
		type: 1,
		// router: "/pages/account/FAQ/FAQ",
		icon: imgUrlPrefix + '/icon-faq.png',
		routerType: 'FAQ'
	},
	// {
	// 	name: t('account.config.feedback'),
	// 	type: 2,
	// 	router: "/pages/account/FeedBack/FeedBack",
	// 	icon: imgUrlPrefix + '/account/icon/Feedback.png',
	// }, 
	// {
	// 	name: t('account.config.version'),
	// 	type: 3,
	// 	router: "",
	// 	icon: imgUrlPrefix + '/account/icon/Version.png',
	// },
]


export const ProfileList = [{
	type: "copy",
	name: t('account.profileItem.id'),
	fieldName: "userId",
}, {
	type: "upload",
	name: t('account.profileItem.avatar'),
	fieldName: "avtar",
}, {
	type: "input",
	name: t('account.profileItem.nickname'),
	fieldName: "nikeName",
}, {
	type: "router",
	name: t('account.profileItem.phoneNumber'),
	fieldName: "phone",
}, {
	type: "input",
	name: t('account.profileItem.birthday'),
	fieldName: "birthday",
}, {
	type: "input",
	name: t('account.profileItem.eamil'),
	fieldName: "email",
}, {
	type: "input",
	name: t('account.profileItem.whatsApp'),
	fieldName: "whatsapp",
}, {
	type: "input",
	name: t('account.profileItem.facebook'),
	fieldName: "facebook",
}, {
	type: "input",
	name: t('account.profileItem.telegram'),
	fieldName: "telegram",
}, {
	type: "input",
	name: t('account.profileItem.twitter'),
	fieldName: "twitter",
},]